tags:
    - tsystems-openshift
image: openshift/origin-cli
stages:
    - deploydb
    - deployservice
    - deploypartic
before_script:
    - oc login https://openshift.devops.t-systems.ru:8443 --insecure-skip-tls-verify --username=elsmirno --password=12345678 --namespace=courseworkprod

Deploy DB:
    stage: deploydb
    rules:
        - if: $DB_TAG != "latest"
    script:
        - echo Deploying DB tag $DB_TAG
        - oc apply -f db-statefulset-tagged.yml

Deploy service:
    stage: deployservice
    rules:
        - if: $SERVICE_TAG != "latest"
    script:
        - echo Deploying service tag $SERVICE_TAG
        - oc apply -f service-deployment-tagged.yml
        - oc apply -f service-route-prod.yml

Deploy participant:
    stage: deploypartic
    rules:
        - if: $PARTICIPANT_TAG != "latest"
    script:
        - echo Deploying participant tag $PARTICIPANT_TAG
        - cat participant-deployment-prod.yml | sed "s/esmirnova\/tchallenge_participant:latest/esmirnova\/tchallenge_participant:$PARTICIPANT_TAG/g" > participant-deployment-prod-tagged.yml
        - oc apply -f participant-deployment-prod-tagged.yml
        - oc apply -f participant-route-prod.yml
